# ImportConfiguration (ARX Developer Documentation)

org.deidentifier.arx.io

## Class ImportConfiguration

- java.lang.Object
- - org.deidentifier.arx.io.ImportConfiguration

- Direct Known Subclasses:
    ImportConfigurationFile, ImportConfigurationJDBC

      public abstract class ImportConfiguration
      extends java.lang.Object

  Abstract base configuration This abstract superclass defines properties that all configurations have in common, i.e. a notion of columns, which can be added and retrieved.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<ImportColumn>` | `columns` List of columns to be imported Each element of this list represents a single column to import from.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addColumn(ImportColumn column)` Adds a single column to import from.
    `java.util.List<ImportColumn>` | `getColumns()` Returns all added columns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columns

          protected java.util.List<ImportColumn> columns

      List of columns to be imported Each element of this list represents a single column to import from. Refer to `ImportColumn` for details. Columns can be added by invoking `addColumn(ImportColumn)` and retrieved by `getColumns()`.

  - ### Constructor Detail

    - #### ImportConfiguration

          public ImportConfiguration()

  - ### Method Detail

    - #### addColumn

          public abstract void addColumn(ImportColumn column)

      Adds a single column to import from.
      Parameters:
        `column` - A single column to import from

    - #### getColumns

          public java.util.List<ImportColumn> getColumns()

      Returns all added columns.
      Returns:
        `columns`